**/.DS_Store
.DS_Store

# Environment Variables (Secrets)
.env
.env.*
!.env.example
server/.env
mobile/.env

# Server (PHP/Laravel)
server/auth.json
_ide_helper.php
_ide_helper_models.php
.phpstorm.meta.php
server/.fleet
server/.idea
server/.php_cs.cache
server/.phpunit.cache
server/.phpunit.result.cache
server/.vagrant
server/.vscode
server/Homestead.json
server/Homestead.yaml
server/bootstrap/cache
server/documentation
server/node_modules
server/npm-debug.log
server/public/build
server/public/hot
server/public/storage
server/public/userportal
server/storage/*.key
server/storage/app/private
server/storage/debugbar
server/storage/debugbar/*
server/storage/framework/cache/data
server/storage/framework/sessions
server/storage/framework/testing
server/storage/framework/views
server/storage/logs
server/vendor

# Mobile (React Native/Expo)
mobile/.expo
mobile/android
mobile/ios
mobile/node_modules
mobile/dist
mobile/web-build
mobile/npm-debug.log

# Docker
docker-compose.override.yml

# VS Code
.vscode/
# Ignore user-uploaded content
server/public/upload
